with GNATCOM.Dispinterface;

package MSHTML.IHTMLFrameBase2_Interface is

   type IHTMLFrameBase2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLFrameBase2_Type);

   function Pointer (This : IHTMLFrameBase2_Type)
     return Pointer_To_IHTMLFrameBase2;

   procedure Attach (This    : in out IHTMLFrameBase2_Type;
                     Pointer : in     Pointer_To_IHTMLFrameBase2);

   function Get_contentWindow
     (This : IHTMLFrameBase2_Type)
     return Pointer_To_IHTMLWindow2;

   procedure Put_onload
     (This : IHTMLFrameBase2_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLFrameBase2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreadystatechange
     (This : IHTMLFrameBase2_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreadystatechange
     (This : IHTMLFrameBase2_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readyState
     (This : IHTMLFrameBase2_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_allowTransparency
     (This : IHTMLFrameBase2_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_allowTransparency
     (This : IHTMLFrameBase2_Type)
     return GNATCOM.Types.VARIANT_BOOL;

end MSHTML.IHTMLFrameBase2_Interface;

